i2o_exec_lct_get
Prev | I2O message devices | Next

## Name

i2o_exec_lct_get — Get the IOP's Logical Configuration Table

## Synopsis

`int i2o_exec_lct_get (` | struct i2o_controller * | c`)`;

## Arguments

`c`

  I2O controller from which the LCT should be fetched

## Description

Send a LCT NOTIFY request to the controller, and wait I2O_TIMEOUT_LCT_GET seconds until arrival of response. If the LCT is to large, retry it.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_msg_post_wait_mem | Home | i2o_exec_wait_alloc